View Issue Details

IDProjectCategoryView StatusLast Update
0003636MediaMonkey (current)Main Panel/Toolbars/Menuspublic2011-06-08 00:22
Reporteruser_Morten 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target Version4.0Fixed in Version4.0 
Summary0003636: Album Art Browser
DescriptionThe thing is that MediaMonkey should be possible to show album-art beautifully in a graphical environment just like iTunes. I think (I don't know) that iTunes isn't using WPF in it's, therefore i's a lot slower than it could be if they used the inbuilt graphic-motor in NET 3.0.

Here is a guy using WPF, and he can maybe get contacted to pay for some of his code. His site is here http://pavanpodila.spaces.live.com/Blog/cns!9C9E888164859398!380.entry

There you have videos of how 3D-viewing modes can be (iTunes just support the first, while there are others which works just as good.)

Another example appears at: http://windowshop.com/

Note: even AA+Details view should be able to scroll much more smoothly
TagsNo tags attached.
Fixed in build1383

Relationships

related to 0005053 closedpetr Album Art View: allow sorting by attributes that aren't album-specific 
related to 0007033 feedbackpetr Art Browser: It should be possible to D&D Album to Now playing 
parent of 0007901 closedpetr Art Browser/Column Browser limits Media Tree node context menu to shown Album 
related to 0006590 feedbackpetr Art Browser View: Background should be skinnable 
related to 0007821 closedpetr Art Browser: Selecting album fails to display the Album in the Art&Details window 

Activities

user_Morten

2008-11-26 17:14

developer   ~0015148

I agree on all terms. His new blog is here though;

http://blog.pixelingene.com/

Looks quite stunning!

Ludek

2008-12-29 13:36

developer   ~0015838

I think that CoverFlow is a trademark of Apple. Couldn't this be a problem?

rusty

2010-09-03 13:39

administrator   ~0020477

Last edited: 2010-12-23 17:10

View 2 revisions

A few comments on the implementation from build 1311. First of all it's great. Here are a few suggestions to clean it up:

a) We need a name for the view (for documentation, and so that on mouse-over, a name for the feature appears) and like Ludek indicated 'CoverFlow' is out of the question. How about: 'Show Art Browser with Details' [Already fixed]

b) The manner in which the art is displayed can be improved a bit so as to display more images more clearly.
i) The central image should have at least as much space between it and the first adjacent images, as the first adjacent images have between the second adjacent images. [Urgent]
ii) It would be possible to show more images if each successive set of adjacent images had a bit less space / more overlap. This might require the size of each successive image to be slightly smaller, however this could by accomplished by having less space for album mirrors. e.g. http://addons.songbirdnest.com/addon/238 (this isn't very high priority, but might be worth trying if it's not much work). [High]

c) Clicking on either side of the central image only works if the actual image is clicked. If the user clicks on the mirrored section of the image, it has no effect--it should. [Urgent]

d) There's no way to tell how many images are in a set, nor is there a way to scroll through them rapidly. Both of these issues can be easily rectified with a transparent scrollbar superimposed on the mirrored art section of the view (this could be implemented as a custom scrollbar similar to the video buttons for increasing/decreasing the video size). [Urgent]

e) There are no actions available for any of the images
i) Double-click on an image should trigger the 'Play Now' action, in the same manner as double clicking on an Album in Album Art view.
ii) Right-click on an image should display the same context-menu options as right-clicking an Album in the Album Art view. [Urgent]

f) Access to the view should be available in a fashion that would:
i) ensure that the view is always in conjunction with track details [Done]
ii)allow the view to optionally appear with the track browser (so that the track browser can filter out what is displayed in the Album Browser). This would also solve the current problem that switching to Art Browser view changes whether the Column Browser is displayed in other views [High].

stephen_platt

2010-09-03 17:01

developer   ~0020479

Last edited: 2011-03-27 01:08

View 4 revisions

g) It would also be nice if we could have some access to the panel via skinning to at least change the background color.

rusty

2010-12-23 17:15

administrator   ~0022105

Last edited: 2011-03-27 01:11

View 5 revisions

g) Re. Steven's comment: Short of allowing a custom background, instead the background could just match the active theme's background (also documented at 0006590). [urgent]

Edit: OR, if backgrounds are enabled, use the same background as is configured for the Tracklist.

http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=55052

lowlander

2011-01-31 16:46

developer   ~0022733

Last edited: 2011-03-27 01:10

View 2 revisions

i) It would be nice if arrow keys can be used for scrolling and the mouse wheel when mouse is over Art Browser. [high/urgent]

petr

2011-05-30 11:58

developer   ~0025761

Scrollbar implemented in 1382

petr

2011-06-01 14:49

developer   ~0025835

Right-click menu implemented in 1383

petr

2011-06-01 15:24

developer   ~0025838

Last edited: 2011-06-01 15:44

View 2 revisions

Mouse wheel scrolling implemented in 1383.
Missing items b, c, fii, g could be postponed to 4.1

rusty

2011-06-01 22:32

administrator   ~0025865

Last edited: 2011-06-01 22:32

View 2 revisions

As discussed, item c) should be fixed if possible.

Also, related to that: clicking an inactive area of the art browser causes the immediately subsequent click to be ignored.

petr

2011-06-01 23:05

developer   ~0025867

Item C and ignored click fixed in 1383

rusty

2011-06-02 05:04

administrator   ~0025870

Marking as resolved (it's not clear that b) and fii) would be improvements, and item G has been moved to 0007913.

stephen_platt

2011-06-08 00:22

developer   ~0025987

verified 1385